classification
Title: help('finally') behaves bizarrely
Type: behavior Stage:
Components: Versions: Python 3.0, Python 2.6
process
Status: closed Resolution: accepted
Dependencies: Superseder:
Assigned To: Nosy List: georg.brandl, ms, pitrou
Priority: critical Keywords: easy, needs review, patch

Created on 2008-08-27 22:44 by ms, last changed 2008-08-30 19:04 by georg.brandl. This issue is now closed.

Files
File name Uploaded Description Edit
pydoc.diff georg.brandl, 2008-08-27 22:59
Messages (4)
msg72047 - (view) Author: Mike Speciner (ms) Date: 2008-08-27 22:44
I'm running Python 3.0b2 (r30b2:65106, Jul 18 2008, 18:44:17) [MSC
v.1500 32 bit (Intel)] on win32.
Typing help('finally') loops, repeatedly typing the following two lines

File "C:\Python30\lib\pydoc.py", line 1777, in showtopic
  return self.showtopic(target)
msg72048 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2008-08-27 22:59
Good catch! Patch attached.
msg72199 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2008-08-30 19:00
Patch is ok on trunk. It should also be merged to py3k.
msg72201 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2008-08-30 19:04
Thanks for reviewing! Committed trunk r66076.
History
Date User Action Args
2008-08-30 19:04:01georg.brandlsetstatus: open -> closed
messages: + msg72201
2008-08-30 19:00:33pitrousetnosy: + pitrou
resolution: accepted
messages: + msg72199
versions: + Python 2.6
2008-08-27 22:59:50georg.brandlsetpriority: critical
keywords: + patch, easy, needs review
messages: + msg72048
files: + pydoc.diff
nosy: + georg.brandl
2008-08-27 22:44:18mscreate